PHP-инклюдинг в BBClone

Дата публикации:
31.01.2007
Дата изменения:
31.01.2007
Всего просмотров:
2184
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BBClone 0.x
Уязвимые версии: BBClone 0.4.9, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "BBC_LIB_PATH" в сценарии lib/selectlang.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP и опция "magic_quotes_gpc" отключена. Пример:

http://[host]/[path]/lib/selectlang.php?BBC_LANGUAGE_PATH=[file]

URL производителя: bbclone.de

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA